Update dependency postcss-load-config to v4 #16

Open
odit_renovate wants to merge 1 commits from renovate/postcss-load-config-4.x into main
Owner

This PR contains the following updates:

Package Type Update Change
postcss-load-config devDependencies major ^3.1.0 -> ^4.0.0

Release Notes

postcss/postcss-load-config

v4.0.1

Compare Source

Bug Fixes
  • src/index: Fixed Windows support (#​238)

v4.0.0

Compare Source

v3.1.4

Compare Source

Bug Fixes
  • deps: Add postcss to optional peer dependencies to fix types (#​233)

v3.1.3

Compare Source

Bug Fixes
  • src/index: Fix root path calculation for resolving relative path to plugins (#​231)

v3.1.2

Compare Source

Bug Fixes
  • src/index: Load plugins from PostCSS config location instead of current working directory (#​229)

v3.1.1

Compare Source

Bug Fixes
  • deps: Reduce dependencies by dropping import-cwd (#​227)

Configuration

📅 Schedule: At any time (no schedule defined).

🚦 Automerge: Disabled by config. Please merge this manually once you are satisfied.

Rebasing: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox.

🔕 Ignore: Close this PR and you won't be reminded about this update again.


  • If you want to rebase/retry this PR, check this box.

This PR has been generated by Renovate Bot.

This PR contains the following updates: | Package | Type | Update | Change | |---|---|---|---| | [postcss-load-config](https://github.com/postcss/postcss-load-config) | devDependencies | major | [`^3.1.0` -> `^4.0.0`](https://renovatebot.com/diffs/npm/postcss-load-config/3.1.0/4.0.1) | --- ### Release Notes <details> <summary>postcss/postcss-load-config</summary> ### [`v4.0.1`](https://github.com/postcss/postcss-load-config/blob/master/CHANGELOG.md#&#8203;401-httpsgithubcompostcsspostcss-load-configcomparev400v401-2022-05-31) [Compare Source](https://github.com/postcss/postcss-load-config/compare/v4.0.0...v4.0.1) ##### Bug Fixes - **src/index:** Fixed Windows support ([#&#8203;238](https://github.com/postcss/postcss-load-config/pull/238)) ### [`v4.0.0`](https://github.com/postcss/postcss-load-config/compare/v3.1.4...v4.0.0) [Compare Source](https://github.com/postcss/postcss-load-config/compare/v3.1.4...v4.0.0) ### [`v3.1.4`](https://github.com/postcss/postcss-load-config/blob/master/CHANGELOG.md#&#8203;314-httpsgithubcompostcsspostcss-load-configcomparev313v314-2022-03-29) [Compare Source](https://github.com/postcss/postcss-load-config/compare/3.1.3...v3.1.4) ##### Bug Fixes - **deps:** Add `postcss` to optional peer dependencies to fix types ([#&#8203;233](https://github.com/postcss/postcss-load-config/pull/233)) ### [`v3.1.3`](https://github.com/postcss/postcss-load-config/blob/master/CHANGELOG.md#&#8203;313-httpsgithubcompostcsspostcss-load-configcomparev312v313-2022-01-02) [Compare Source](https://github.com/postcss/postcss-load-config/compare/3.1.2...3.1.3) ##### Bug Fixes - **src/index:** Fix root path calculation for resolving relative path to plugins ([#&#8203;231](https://github.com/postcss/postcss-load-config/pull/231)) ### [`v3.1.2`](https://github.com/postcss/postcss-load-config/blob/master/CHANGELOG.md#&#8203;312-httpsgithubcompostcsspostcss-load-configcomparev311v312-2022-01-02) [Compare Source](https://github.com/postcss/postcss-load-config/compare/3.1.1...3.1.2) ##### Bug Fixes - **src/index:** Load plugins from PostCSS config location instead of current working directory ([#&#8203;229](https://github.com/postcss/postcss-load-config/pull/229)) ### [`v3.1.1`](https://github.com/postcss/postcss-load-config/blob/master/CHANGELOG.md#&#8203;311-httpsgithubcompostcsspostcss-load-configcomparev310v311-2022-01-02) [Compare Source](https://github.com/postcss/postcss-load-config/compare/3.1.0...3.1.1) ##### Bug Fixes - **deps:** Reduce dependencies by dropping `import-cwd` ([#&#8203;227](https://github.com/postcss/postcss-load-config/pull/227)) </details> --- ### Configuration 📅 **Schedule**: At any time (no schedule defined). 🚦 **Automerge**: Disabled by config. Please merge this manually once you are satisfied. ♻ **Rebasing**: Whenever PR becomes conflicted, or you tick the rebase/retry checkbox. 🔕 **Ignore**: Close this PR and you won't be reminded about this update again. --- - [ ] <!-- rebase-check -->If you want to rebase/retry this PR, check this box. --- This PR has been generated by [Renovate Bot](https://github.com/renovatebot/renovate).
odit_renovate added the
status:review_needed
enhancement
priority:medium
labels 4 months ago
odit_renovate added 1 commit 4 months ago
3ca180755b
Update dependency postcss-load-config to v4
odit_renovate requested review from niggl 4 months ago
odit_renovate requested review from philipp 4 months ago

Reviewers

niggl was requested for review 4 months ago
philipp was requested for review 4 months ago
All checks were successful
continuous-integration/drone/push Build is passing
This pull request can be merged automatically.
You are not authorized to merge this pull request.
Sign in to join this conversation.
No reviewers
No Milestone
No project
No Assignees
1 Participants
Notifications
Due Date

No due date set.

Dependencies

This pull request currently doesn't have any dependencies.

Loading…
There is no content yet.